Ubuntu

atl1c locks up on boot when network cable is unplugged on Acer Aspire One 522

Reported by Juanca on 2011-05-01
124
This bug affects 23 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Since 11.04, whenever WiFi is attempted to be used, my netbook freezes where the only option is to force shutdown.
Works fine if either: ethernet is plugged in, or WiFi is completely disabled

The output of lspci -k | grep Network --after-context 3:
07:00.0 Network controller: Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller (rev 01)
 Subsystem: Broadcom Corporation Device 0510
 Kernel driver in use: wl
 Kernel modules: wl, brcm80211

 I tried:
sudo apt-add-repository ppa:kernel-ppa/pre-proposed
sudo apt-get update

And installed all available updates, to no avail.
(WiFi works fine under Windows 7)
Any further ideas will be greatly appreciated.

Juanca (juancarlos-tudela) wrote :

And output for

lspci -vvnn | grep Network

07:00.0 Network controller [0280]: Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller [14e4:4727] (rev 01)

Jay Caesar (jaythecaesarean) wrote :

i have this problem too... any fix/es for this?

arno (star-gmx) wrote :

I did have same problem:

You can do this workaround:

add in /etc/modprobe.d/blacklist.conf this line

"blacklist atl1c"

and do in terminal:

"sudo update-initramfs -u"

I found this in forum and it works for me. I just repeat this, I don't understand the mechanism behind that.

Juanca (juancarlos-tudela) wrote :

Thanks very much for the workaround.

Tried it, as described, and if its purpose is to disable WiFi, it works - although my netbook is still in need to be hardwired to the ethernet to get connected :(

Alex Yuffa (ayuffa) wrote :

@ #3
Your workaround works!!! Thank you.

@ #4
On Acer 522 blacklisting atl1c does NOT disable wireless. Make sure that proprietary Broadcom STA wireless driver is installed.:
On kubunutu: sudo jockey-kde
On ubuntu: sudo jockey

Juanca (juancarlos-tudela) wrote :

Well I'll be damned!
You were right Alex, I reinstalled the driver (same driver) and that seemed to do the trick, and I no longer have a really small desktop, but once again a nice and decent netbook.

Thanks everyone!

Jay Caesar (jaythecaesarean) wrote :

Thanks....
are there any other bugs found for Natty AND Acer AO522???
(just asking for confimation... :D )

Juanca (juancarlos-tudela) wrote :

The only other thing I've noticed with this netbook (that I haven't tried to fix yet) is that it freezes when trying to wake it from sleep/hibernation.
But I'm sure it's just a minor adjustment somewhere (I'll tackle this one on the weekend)
Other than that, even mounting/syncinc my iPhone (without need to install/change anything), or even the Fn keys work as intended. Most of the features worked out of the box.
Pretty impressive!

arno (star-gmx) wrote :

three more issues with this netbook for me:

sleep/hibernation
(sometimes it is working with the generic driver - I get display back but with a blinking window, but from what I know definitly not with the rescricted AMD driver)

sound output (right channel is not mixed into the mono speaker)

mic is not working (please subscribe here:
 https://bugs.launchpad.net/gnome-pulse-applet/+bug/775788 )

tactus (tactusetc) wrote :

I have an Atheros wireless card and I use the same work around in OpenSUSE as #3.

http://forums.opensuse.org/english/get-technical-help-here/laptop/454356-acer-aspireone-522-amd-c-50-64-bit-11-4rc1-boot-hangs-without-ethernet-connection.html#post2324960

06:00.0 Ethernet controller: Atheros Communications AR8152 v2.0 Fast Ethernet (rev c1)
07:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)

Linux linux-tsvy.site 2.6.37.6-0.5-desktop #1 SMP PREEMPT 2011-04-25 21:48:33 +0200 i686 athlon i386 GNU/Linux

I had same problems with Ubuntu 11.04 beta so this issue exists across distributions. I don't know if Broadcom owners are affected differently.

Joshua Panaguiton (jo-p89) wrote :

Hey forum,

I really need help. I dont know anything about ubuntu. I installed it cause i wanted to try it and i really like it. I came across this problem and im glad that you guys found a solution. But i dont understand the solution for the bug, will someone please give me a thorough walk through on how I can fix this. Can you please try to make it simple. Please help me.

Sincerely

Joshua

Lu Timdale (lutimdale) wrote :

I have the same issue. The "fix" proposed in #10 talks to either
a) Disabling the atl1c module. This works if you want to use wireless only.
b) Disabling the wl (or other wireless) module. This works if you want to use wired only.
Yes, this workaround works for me.

Um... I want to use both, but not necessarily at the same time. I actually wouldn't care if the network manager did exactly what the script does behind the scene, but it should be automatic.

Really, the issue needs to be dealt with permanently. Currently only non user-friendly workarounds exist with shell scripts etc.. Most users would expect this stuff to just work.

Chris Morison (cmorison) wrote :

Same here. The workaround in #10 works for me but a proper fix is needed.

Kamil (kswia) wrote :

Hi,

I have Atheros wireless and the same problem. I found another workaround after I installed Ubuntu via PXE. Setting up network boot before HDD boot do the magic. With ethernet cable plugged in it takes a bit longer to boot (you can always hit ctrl+c), but you don't need to blacklist anything. Of course it is still workaround :)

Alex Yuffa (ayuffa) wrote :

@ 14 Thank you! In BIOS, simply listing network boot before HDD boot DOES solve the networking issue on Acer Aspire One 522. Wireless and LAN are now working :-)

Gregor Riepl (onitake) wrote :

The atl1c driver is still quite unstable. Blacklisting it solves all the problems it may cause. Loading it when wired networking is required works mostly. I recommend unloading the module before disconnecting the ethernet cable as that usually causes a freeze on my system.

I upgraded my kernel to 2.6.38-9 as it contains some critical bug fixes in ath9k, and haven't had any wireless issues since.

Here's some more info: http://ubuntuforums.org/showthread.php?t=1746326 and https://bugs.launchpad.net/ubuntu/natty/+source/linux/+bug/735171

Pierre D. (pierre-ducher) wrote :

@ 16 Thanks a lot Gregor Riepl, I've upgraded my kernel to v 2.6.38 and the freezes have disappeared! I've been searching for ages. Sadly, the netbook wont come back after going to sleep. Still searching on this.

Oliver Arnold (derarnold) wrote :

Hi there.

I just downloaded Oneiric Ocelot with 2.6.39 kernel and ... the bug with the network adapter is still there. Beeing a linux user since more than 15 years now, it is pretty annoying to boot windows before installing ubuntu.

Oliver

mazatta (crolfe-gmail) wrote :

A workaround I came across while randomly Googling for a solution is to put network boot at the top of the boot device priority in the bios. No more freezing when using wifi.

This bug is similar to 785569

Be very clear whether your wireless card is Broadcom BCM 4313 or some Atheros chipset. This bug is for BCM4313.

I found that I could crash with either the BRCM80211 driver or the WL driver. This makes me think that the problem is with the atl1c driver (part of the kernel).

Alex Yuffa (ayuffa) wrote :

@ 20
Relevant output from: sudo lspci -v

06:00.0 Ethernet controller: Atheros Communications AR8152 v2.0 Fast Ethernet (rev c1)
        Subsystem: Acer Incorporated [ALI] Device 0543
        Flags: bus master, fast devsel, latency 0, IRQ 40
        Memory at 90200000 (64-bit, non-prefetchable) [size=256K]
        I/O ports at 2000 [size=128]
        Capabilities: [40] Power Management version 3
        Capabilities: [48] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [58] Express Endpoint, MSI 00
        Capabilities: [6c] Vital Product Data
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [180] Device Serial Number ff-ad-bb-8e-1c-75-08-ff
        Kernel driver in use: atl1c
        Kernel modules: atl1c

07:00.0 Network controller: Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller (rev 01)
        Subsystem: Broadcom Corporation Device 0510
        Flags: bus master, fast devsel, latency 0, IRQ 19
        Memory at 90100000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [40] Power Management version 3
        Capabilities: [58] Vendor Specific Information: Len=78 <?>
        Capabilities: [48] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [d0] Express Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [13c] Virtual Channel
        Capabilities: [160] Device Serial Number 00-00-6e-ff-ff-55-4c-0f
        Capabilities: [16c] Power Budgeting <?>
        Kernel driver in use: wl
        Kernel modules: wl, brcm80211

sillyxone (sillyxone) wrote :

Confirm for AO722, with BCM4313, freeze immediately whenever connecting to a wireless network, whether using brcm80211, b43, or the STA. Blacklisting atl1c as describe #3 fixed it (for STA, haven't tried the OSS drivers). Thanks.

This bug is missing log files that will aid in dianosing the problem. From a terminal window please run:

apport-collect 775034

and then change the status of the bug back to 'New'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

i can confirm the boot order workaround works for me.. THANKS!

the workaround i was using before was using an older kernel (2.6.35-30 from ubuntu 10.10) but it wasnt completely stable

 related bug:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/426130

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 1: SB [HDA ATI SB], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: ayuffa 1600 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Generic'/'HD-Audio Generic at 0x90544000 irq 41'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100200'
   Controls : 4
   Simple ctrls : 1
Card0.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Card1.Amixer.info:
 Card hw:1 'SB'/'HDA ATI SB at 0x90540000 irq 16'
   Mixer name : 'Conexant CX20584'
   Components : 'HDA:14f15068,10250543,00100302'
   Controls : 9
   Simple ctrls : 9
DistroRelease: Ubuntu 11.04
HibernationDevice: RESUME=UUID=0756249d-2d9d-439c-9aa1-c20a44d24d8e
InstallationMedia: Kubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: Acer Aspire One 522
NonfreeKernelModules: wl fglrx
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-10-generic root=UUID=f0093d30-c820-4a30-b54a-67615ac59814 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.38-10.46-generic 2.6.38.7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-10-generic N/A
 linux-backports-modules-2.6.38-10-generic N/A
 linux-firmware 1.52
RfKill:
 0: brcmwl-0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: natty
Uname: Linux 2.6.38-10-generic x86_64
UpgradeStatus: Upgraded to natty on 2011-05-03 (77 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 12/21/2010
dmi.bios.vendor: Acer
dmi.bios.version: V1.04
dmi.board.name: Aspire One 522
dmi.board.vendor: Acer
dmi.board.version: V1.04
dmi.chassis.type: 10
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAcer:bvrV1.04:bd12/21/2010:svnAcer:pnAspireOne522:pvrV1.04:rvnAcer:rnAspireOne522:rvrV1.04:cvnChassisManufacturer:ct10:cvrChassisVersion:
dmi.product.name: Aspire One 522
dmi.product.version: V1.04
dmi.sys.vendor: Acer

tags: added: apport-collected natty

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → New

This bug is missing log files that will aid in dianosing the problem. From a terminal window please run:

apport-collect 775034

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

Found a fix/workaround for the BCM4313 freezes.

http://askubuntu.com/questions/40725/random-freezes-followed-by-loss-of-wifi-connection-with-a-bcm4313-wireless-card

sudo gedit /etc/default/grub
// Make sure the following is added
GRUB_CMDLINE_LINUX="i8042.nomux"
// Save the file and exit gedit
sudo update-grub

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 1: SB [HDA ATI SB], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: artem 1132 F.... pulseaudio
CRDA: Error: [Errno 2] Нет такого файла или каталога
Card0.Amixer.info:
 Card hw:0 'Generic'/'HD-Audio Generic at 0x50544000 irq 40'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100200'
   Controls : 4
   Simple ctrls : 1
Card0.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Card1.Amixer.info:
 Card hw:1 'SB'/'HDA ATI SB at 0x50540000 irq 16'
   Mixer name : 'Conexant CX20584'
   Components : 'HDA:14f15068,10250543,00100302'
   Controls : 9
   Simple ctrls : 9
DistroRelease: Ubuntu 11.04
HibernationDevice: RESUME=UUID=dae1bdae-f31b-481c-9399-246dc8a09b5b
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
IwConfig:
 lo no wireless extensions.

 eth1 IEEE 802.11 Access Point: Not-Associated
           Link Quality:5 Signal level:199 Noise level:164
           Rx invalid nwid:0 invalid crypt:0 invalid misc:0
Lsusb:
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 002: ID 064e:d214 Suyin Corp.
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Acer Aspire One 522
NonfreeKernelModules: fglrx wl
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=ru_RU:en
 LANG=ru_RU.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-11-generic root=UUID=41763dcc-dc74-4083-af13-db0c6de67119 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.38-11.48-generic 2.6.38.8
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-11-generic N/A
 linux-backports-modules-2.6.38-11-generic N/A
 linux-firmware 1.52
RfKill:
 0: brcmwl-0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: natty
Uname: Linux 2.6.38-11-generic i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 03/21/2011
dmi.bios.vendor: Acer
dmi.bios.version: V1.09
dmi.board.name: Aspire One 522
dmi.board.vendor: Acer
dmi.board.version: V1.09
dmi.chassis.type: 10
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAcer:bvrV1.09:bd03/21/2011:svnAcer:pnAspireOne522:pvrV1.09:rvnAcer:rnAspireOne522:rvrV1.09:cvnChassisManufacturer:ct10:cvrChassisVersion:
dmi.product.name: Aspire One 522
dmi.product.version: V1.09
dmi.sys.vendor: Acer

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

What's new about this bug? I realy need my ubuntu works well on this acer AO 522. I hopy so much it will works in ubuntu 11.10. Am'I right? How can I help, to fix this bug?

Alex Yuffa (ayuffa) wrote :

oneiric has this bug as well. The same fix as before
"In BIOS, simply listing network boot before HDD boot DOES solve the networking issue on Acer Aspire One 522."

Vavooon (vavooon) on 2011-11-03
Changed in linux (Ubuntu):
status: Incomplete → New

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 775034

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

I have the same netbook and i want to create apport-collect report, do you can give me proper rights?

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest v3.2-rcN kernel (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the others). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.2-rc1 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.2-rc1'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Thanks in advance.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
importance: Undecided → Medium
tags: added: needs-upstream-testing
Vavooon (vavooon) wrote :

I tried last RC (3.2RC1) kernel.
WLAN card dont work in it at all.
I tried to install proprietary driver, but his installation was failed.

tags: removed: needs-upstream-testing
tags: added: oneiric
Vavooon (vavooon) wrote :

So how about this bug?

Vavooon (vavooon) wrote :

Alex
Thanks, but installation of proprietary driver and selecting Network as first boot device is just a dirty workaround.
Are any news about this trouble?

W. Lunkenheimer (wlu) wrote :

Changing the boot order does not work for me with ubuntu 11.04 on an aspire one 522.

And this bug is present in ubuntu 12.04 beta 2 also.

Juanca, this bug report is being closed due to your last comment regarding this being fixed by reinstalling the driver. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in linux (Ubuntu):
status: Confirmed → Invalid
Vavooon (vavooon) wrote :

Christopher M. Penalver, sorry, but problem still is`nt resolved. There is auto-loading atl1c driver by default, which hangs up entire system. Many people tried Ubuntu on his netbooks (Acer AO522, 722 and some others) and had this problem. And many people will have. So please dont close really unresolved bugs only for statistics.
Did anybody with affected hardware (because i sold my one) tried to use this patch (in second message)? http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=559577

Changed in linux (Ubuntu):
status: Invalid → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Invalid
Marc Deslauriers (mdeslaur) wrote :

Do not close this bug. The network driver still in Precise still hangs the Acer Aspire One 522 the workaround of turning on PXE booting in the bios isn't enabled.

summary: - Natty freezes due to Acer Aspire One 522 wireless
+ Natty-Precise freezes due to Acer Aspire One 522 wireless
Changed in linux (Ubuntu):
status: Invalid → Confirmed

Wow, I apparently can't type this morning.

This is the current status with Precise:

The Acer Aspire One will freeze intermittently every second boot or so, usually right after login. The only way to solve the issue is by either:

1- Unloading the wireless driver, and blacklisting it

-or-

2- Turning on PXE boot for the wired ethernet card in the BIOS

For some reason, when PXE boot is turned on, the ethernet card gets initialized differently and does not cause the laptop to freeze.

summary: - Natty-Precise freezes due to Acer Aspire One 522 wireless
+ atl1c locks up on boot when network cable is unplugged

I've also marked Bug #785569 and Bug #858459 as duplicates, as they are for the same issue.

summary: - atl1c locks up on boot when network cable is unplugged
+ atl1c locks up on boot when network cable is unplugged on Acer Aspire
+ One 522
Vavooon (vavooon) wrote :

Marc, not only on AO522, also on AO722 and some Asus EeePCs.

tags: added: logs needs-kernel needs-upstream-testing precise
removed: apport-collected oneiric
tags: added: needs-kernel-logs
removed: logs needs-kernel
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.